from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()
import settings
from os.path import join

urlpatterns = patterns('',
    # Example:
    # (r'^urbstudio/', include('urbstudio.foo.urls')),
    (r'^$', 'urb.views.home'),
    (r'^home$', 'urb.views.home'),
    (r'^profile$', 'urb.views.profile'),
    (r'^projects$', 'urb.views.projects'),
    (r'^project_json$', 'urb.views.project_json'),
    (r'^jobs$', 'urb.views.jobs'),
    (r'^contact$', 'urb.views.contact'),
    (r'^links$', 'urb.views.links'),
    (r'^noteworthy$', 'urb.views.noteworthy'),
    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),
    (r'^favicon.ico$', 'django.views.generic.simple.redirect_to', {'url': '/static/images/favicon.png'}),
    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)

if settings.LOCAL_DEVELOPMENT:
#
  urlpatterns += patterns('',
#
  (r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': join(settings.PROJECT_ROOT, "static")}),
#
)
